package org.processmining.filterd.plugins;

import java.io.File;
import java.io.IOException;

import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.filterd.models.EventFilter;
import org.processmining.filterd.models.Notebook;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "Export Event Filter to file", //
	returnLabels = {}, returnTypes = {}, //
	level = PluginLevel.PeerReviewed, // Good enough for ProM Lite.
	parameterLabels = {	"String", "File" }, //
	userAccessible = true)
@UIExportPlugin(description = "Export Event Filter" , extension = "xpmef")
public class EventFilterExport extends NotebookExport {

	/**
	 * Export plug-in method.
	 * 
	 * @param context
	 *            variable not used
	 * @param notebookTemplate
	 *            XML representing the notebook configuration
	 * @param file
	 *            file to which we will write
	 * @throws IOException
	 */
	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "", email = "")
	@PluginVariant(requiredParameterLabels = { 0, 1 }, variantLabel = "Export Event Filter")
	public void export(PluginContext context, EventFilter notebook, File file) throws IOException {
		export(context, (Notebook) notebook, file);
	}
}